#!/bin/sh
export PATH='/wrkdirs/usr/ports/textproc/hs-stringsearch/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: stringsearch
version: 0.3.6.6
id: stringsearch-0.3.6.6-6DZU68MAKlcJFBtzhQCsgS
key: stringsearch-0.3.6.6-6DZU68MAKlcJFBtzhQCsgS
license: BSD-3-Clause
copyright: (c) 2007-2011
           Daniel Fischer, Chris Kuklewicz, Justin Bailey
maintainer: daniel.is.fischer@googlemail.com
author: Daniel Fischer, Chris Kuklewicz, Justin Bailey
homepage: https://bitbucket.org/dafis/stringsearch
synopsis: Fast searching, splitting and replacing of ByteStrings
description:
    This package provides several functions to quickly
    search for substrings in strict or lazy ByteStrings.
    It also provides functions for breaking or splitting
    on substrings and replacing all occurrences of a
    substring (the first in case of overlaps) with another.
    GHC before 6.10 are no longer supported, other compilers
    only if they support BangPatterns. If you need it to
    work with other compilers, send a feature request.
category: Text, Search
abi: bd64bc9dd300c68faf910a88b8e52454
exposed: True
exposed-modules:
    Data.ByteString.Lazy.Search Data.ByteString.Lazy.Search.DFA
    Data.ByteString.Lazy.Search.KMP
    Data.ByteString.Lazy.Search.KarpRabin Data.ByteString.Search
    Data.ByteString.Search.BoyerMoore Data.ByteString.Search.DFA
    Data.ByteString.Search.KMP Data.ByteString.Search.KarpRabin
    Data.ByteString.Search.KnuthMorrisPratt
    Data.ByteString.Search.Substitution
hidden-modules: Data.ByteString.Search.Internal.BoyerMoore
                Data.ByteString.Search.Internal.KnuthMorrisPratt
                Data.ByteString.Search.Internal.Utils
                Data.ByteString.Lazy.Search.Internal.BoyerMoore
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/stringsearch-0.3.6.6
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/stringsearch-0.3.6.6
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/stringsearch-0.3.6.6
hs-libraries: HSstringsearch-0.3.6.6-6DZU68MAKlcJFBtzhQCsgS
include-dirs: /usr/local/include
depends:
    array-0.5.2.0 base-4.11.1.0 bytestring-0.10.8.2 containers-0.5.11.0
abi-depends: array-0.5.2.0=001d57bac323829c35f5e9edd158c1ef
             base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             bytestring-0.10.8.2=7e6ff0f3c2255fe1b20bd14002d26042
             containers-0.5.11.0=d384b381e11d19983236150d9c2d8d67
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/stringsearch-0.3.6.6/html/stringsearch.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/stringsearch-0.3.6.6/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

